com.sun.grid.jgdi.management

## Interface ConnectorBootstrap.PropertyNames

- Enclosing class:
    ConnectorBootstrap

      public static interface ConnectorBootstrap.PropertyNames

  Names of JMX configuration properties.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ACCESS_FILE_NAME`
    `static java.lang.String` | `CONFIG_FILE_NAME`
    `static java.lang.String` | `LOGIN_CONFIG_NAME`
    `static java.lang.String` | `PASSWORD_FILE_NAME`
    `static java.lang.String` | `PORT`
    `static java.lang.String` | `SSL_ENABLED_CIPHER_SUITES`
    `static java.lang.String` | `SSL_ENABLED_PROTOCOLS`
    `static java.lang.String` | `SSL_NEED_CLIENT_AUTH`
    `static java.lang.String` | `SSL_SERVER_KEYSTORE`
    `static java.lang.String` | `SSL_SERVER_KEYSTORE_PASSWORD`
    `static java.lang.String` | `SSL_SERVER_KEYSTORE_PASSWORD_FILE`
    `static java.lang.String` | `USE_AUTHENTICATION`
    `static java.lang.String` | `USE_REGISTRY_SSL`
    `static java.lang.String` | `USE_SSL`

- - ### Field Detail

    - #### PORT

          static final java.lang.String PORT

      See Also:
        Constant Field Values

    - #### CONFIG_FILE_NAME

          static final java.lang.String CONFIG_FILE_NAME

      See Also:
        Constant Field Values

    - #### USE_SSL

          static final java.lang.String USE_SSL

      See Also:
        Constant Field Values

    - #### USE_REGISTRY_SSL

          static final java.lang.String USE_REGISTRY_SSL

      See Also:
        Constant Field Values

    - #### USE_AUTHENTICATION

          static final java.lang.String USE_AUTHENTICATION

      See Also:
        Constant Field Values

    - #### PASSWORD_FILE_NAME

          static final java.lang.String PASSWORD_FILE_NAME

      See Also:
        Constant Field Values

    - #### ACCESS_FILE_NAME

          static final java.lang.String ACCESS_FILE_NAME

      See Also:
        Constant Field Values

    - #### LOGIN_CONFIG_NAME

          static final java.lang.String LOGIN_CONFIG_NAME

      See Also:
        Constant Field Values

    - #### SSL_ENABLED_CIPHER_SUITES

          static final java.lang.String SSL_ENABLED_CIPHER_SUITES

      See Also:
        Constant Field Values

    - #### SSL_ENABLED_PROTOCOLS

          static final java.lang.String SSL_ENABLED_PROTOCOLS

      See Also:
        Constant Field Values

    - #### SSL_NEED_CLIENT_AUTH

          static final java.lang.String SSL_NEED_CLIENT_AUTH

      See Also:
        Constant Field Values

    - #### SSL_SERVER_KEYSTORE

          static final java.lang.String SSL_SERVER_KEYSTORE

      See Also:
        Constant Field Values

    - #### SSL_SERVER_KEYSTORE_PASSWORD

          static final java.lang.String SSL_SERVER_KEYSTORE_PASSWORD

      See Also:
        Constant Field Values

    - #### SSL_SERVER_KEYSTORE_PASSWORD_FILE

          static final java.lang.String SSL_SERVER_KEYSTORE_PASSWORD_FILE

      See Also:
        Constant Field Values

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.